Haketilo - Feature #10

show iframes settings in popup
07/01/2021 12:12 PM - koszko

Status: Rejected Start date: 07/01/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
In popup make it possible to view both main frame page's settings and settings for pages that currently happen to live in iframes.

History

#1 - 07/06/2021 06:48 PM - koszko
- Priority changed from High to Normal

#3 - 02/18/2022 01:01 PM - koszko
- Parent task deleted (#9)

#4 - 02/18/2022 01:27 PM - koszko

- Description updated

#5 - 09/17/2022 06:27 AM - jacobk

Not sure if it's intentional or a bug, but Haketilo seems to just choose a frame randomly when deciding what to show in the popup.

#6 - 09/17/2022 10:08 PM - koszko

That'd be a bug :( Do you have some steps to reproduce?

#7 - 09/20/2022 05:30 PM - jacobk

To reproduce:

With pretty much any version of the GitHub registration fix, go to github.com/signup while not signed in, and click on the extension icon. Some of the
time, you will see github.com/signup, but sometimes you'll see an iframe URL (from octocaptcha.com or api.funcaptcha.com) instead.

Go to https:/stackoverflow.com/users/signup without a fix loaded (or with the cookie notice fix installed), possibly also has to be while not signed in,
and click on the extension icon. Sometimes you'll see the stackoverflow signup URL, but sometimes you'll see a google.com recaptcha URL.

#8 - 09/20/2022 08:47 PM - koszko
Thank you.

I just fixed it. | hope it will work under Ungoogled Chromium as well (I am temporarily unable to test with that browser)

#9 - 10/13/2022 12:15 PM - koszko

- Status changed from New to Rejected
